<agm-map
  [latitude]="latitude"
  [longitude]="longitude"
  [zoom]="12"
  [styles]="darkStyle"
>
  <agm-overlay
    *ngFor="let marker of drivers"
    [latitude]="marker.lat"
    [longitude]="marker.lng">
    <div>
      <img id="car-icon" [ngStyle]="{'transform': 'rotate(' + marker.last_angel + 'deg)'}" (click)="openCar(marker)"
           style="width: 50px" src="{{marker.icon}}"/>
    </div>
  </agm-overlay>
</agm-map>
<p *ngIf="selectedMarker">
  Lat: {{ selectedMarker.lat }} Lng: {{ selectedMarker.lng }}
</p>
